VisimBox 1.0 VisimBox 3d simulation and visualisation ToolBox

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Properties
VisiMath.Fractals.PerlinNoise Class Reference

Classical Perlin noise (gradient variety latice noise) More...

List of all members.

## Public Member Functions
| PerlinNoise ()
| Constructs default noise.
| PerlinNoise (int RandSeed)
| Constructs noise with specified random seed.
| PerlinNoise (Random rgen)
| Constructs noise with specified random generator.
| PerlinNoise (Random rgen, int tabsize, int dimensions=2)
| Constructs noise with random generator.
float | GetNoise (float arg, float persistence, int octaves)
| returns layeres 1d noise
float | GetNoise (Vector2 arg, float persistence, int octaves)
| returns layered 2d noise
float | GetNoise (float x, float y, float persistence, int octaves)
| returns layered 2d noise
float | GetNoise (Vector3 arg, float persistence, int octaves)
| returns layered 3d noise
float | GetNoise (float x, float y, float z, float persistence, int octaves)
| returns layered 3d noise
float | GetNoise (float arg)
| Gets one dimensional noise.
float | GetNoise2D (Vector2 arg)
| Gets one dimensional noise.
float | GetNoise2D (float argX, float argY)
| Returns 2d noise.
float | GetNoise3D (Vector3 arg)
| Returns 3d noise.
float | GetNoise3D (float argX, float argY, float argZ)
| Returns 3d noise.
## Protected Member Functions
void | Constructor (Random rgen, int tabsize, int dimensions)
int | GetPermutation (int x)
int | GetPermutation (int x, int y)
int | GetPermutation (int x, int y, int z)
float | GetRnd ()
| returns random number in range -1 1
void | PrepareTable ()
## Protected Attributes
int | _dimensions = 2
| Maximal dimensions of the noise.
int | _tabSize = 256
| Size of permutation table.
int[] | _permutations
float[] | g1
Vector2[] | g2
Vector3[] | g3
Random | rnd
## Properties
int | Dimensions`[get]`
| Maximal dimensions of the noise.

## Detailed Description

Classical Perlin noise (gradient variety latice noise)

## Constructor & Destructor Documentation

VisiMath.Fractals.PerlinNoise.PerlinNoise | ( |  | ) |

Constructs default noise.

VisiMath.Fractals.PerlinNoise.PerlinNoise | ( | int | RandSeed | ) |

Constructs noise with specified random seed.

Parameters:

  RandSeed | Randomseed

VisiMath.Fractals.PerlinNoise.PerlinNoise | ( | Random | rgen | ) |

Constructs noise with specified random generator.

Parameters:

  rgen | Random generator

VisiMath.Fractals.PerlinNoise.PerlinNoise | ( | Random | rgen,
|  | int | tabsize,
|  | int | dimensions = `2`
| ) |  |

Constructs noise with random generator.

Parameters:

  rgen | Random generator
  tabsize | Size of the table (default 256)
  dimensions | Maximal number of dimensions (1 to 3)

## Member Function Documentation

void VisiMath.Fractals.PerlinNoise.Constructor | ( | Random | rgen,
|  | int | tabsize,
|  | int | dimensions
| ) |  | `[protected]`

float VisiMath.Fractals.PerlinNoise.GetNoise | ( | float | arg,
|  | float | persistence,
|  | int | octaves
| ) |  |

returns layeres 1d noise

Parameters:

  arg | Argument
  persistence | Persistance
  octaves | Number of octaves

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise | ( | float | x,
|  | float | y,
|  | float | persistence,
|  | int | octaves
| ) |  |

returns layered 2d noise

Parameters:

  x | x argument
  y | y argument
  persistence | Persistance
  octaves | Number of octaves

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise | ( | Vector3 | arg,
|  | float | persistence,
|  | int | octaves
| ) |  |

returns layered 3d noise

Parameters:

  arg | Argument
  persistence | Persistance
  octaves | Number of octaves

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise | ( | Vector2 | arg,
|  | float | persistence,
|  | int | octaves
| ) |  |

returns layered 2d noise

Parameters:

  arg | Argument
  persistence | Persistance
  octaves | Number of octaves

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise | ( | float | x,
|  | float | y,
|  | float | z,
|  | float | persistence,
|  | int | octaves
| ) |  |

returns layered 3d noise

Parameters:

  x | x argument
  y | y argument
  z | z argument
  persistence | Persistance
  octaves | Number of octaves

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise | ( | float | arg | ) |

Gets one dimensional noise.

Parameters:

  arg | Argument

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise2D | ( | Vector2 | arg | ) |

Gets one dimensional noise.

Parameters:

  arg | Argument

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise2D | ( | float | argX,
|  | float | argY
| ) |  |

Returns 2d noise.

Parameters:

  argX | X argument
  argY | Y argument

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise3D | ( | Vector3 | arg | ) |

Returns 3d noise.

Parameters:

  arg | argument

Returns:
  Noise value

float VisiMath.Fractals.PerlinNoise.GetNoise3D | ( | float | argX,
|  | float | argY,
|  | float | argZ
| ) |  |

Returns 3d noise.

Parameters:

  argX | x argument
  argY | y argument
  argZ | z argument

Returns:
  Noise value

int VisiMath.Fractals.PerlinNoise.GetPermutation | ( | int | x,
|  | int | y
| ) |  | `[protected]`

int VisiMath.Fractals.PerlinNoise.GetPermutation | ( | int | x,
|  | int | y,
|  | int | z
| ) |  | `[protected]`

int VisiMath.Fractals.PerlinNoise.GetPermutation | ( | int | x | ) | `[protected]`

float VisiMath.Fractals.PerlinNoise.GetRnd | ( |  | ) | `[protected]`

returns random number in range -1 1

Returns:

void VisiMath.Fractals.PerlinNoise.PrepareTable | ( |  | ) | `[protected]`

## Member Data Documentation

int VisiMath.Fractals.PerlinNoise._dimensions = 2`[protected]`

Maximal dimensions of the noise.

int [] VisiMath.Fractals.PerlinNoise._permutations`[protected]`

int VisiMath.Fractals.PerlinNoise._tabSize = 256`[protected]`

Size of permutation table.

float [] VisiMath.Fractals.PerlinNoise.g1`[protected]`

Vector2 [] VisiMath.Fractals.PerlinNoise.g2`[protected]`

Vector3 [] VisiMath.Fractals.PerlinNoise.g3`[protected]`

Random VisiMath.Fractals.PerlinNoise.rnd`[protected]`

## Property Documentation

int VisiMath.Fractals.PerlinNoise.Dimensions`[get]`

Maximal dimensions of the noise.

The documentation for this class was generated from the following file:

- PerlinNoise.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events